cURL
curl --request POST \
--url https://api.thesearchx.com/{clientId}/reindex/{datasourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.thesearchx.com/{clientId}/reindex/{datasourceId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.thesearchx.com/{clientId}/reindex/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}Endpoint Examples
Re-index
Sync the Datasource with latest data (Re-indexing)
POST
/
{clientId}
/
reindex
/
{datasourceId}
cURL
Authorizations
Here, Bearer Token is your Client API Key You can find at your Client Page
Path Parameters
You can find Client ID at your Dashboard
You can find Datasource ID at your Dashboard
Body
application/json
Body should be empty here
The body is of type object.
⌘I